/*
 * Copyright 2007 Etienne Studer
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nu.studer.idea.notifier;

import java.util.ResourceBundle;

import org.jetbrains.annotations.PropertyKey;
import com.intellij.CommonBundle;

/**
 * This class allows for i18n of the messages displayed by the plugin update notifier.
 *
 * @author <a href="mailto:intellij@studer.nu">Etienne Studer</a>, Nov 12, 2006
 */
public class PluginUpdateNotifierBundle {
    private static final ResourceBundle OUR_BUNDLE = ResourceBundle.getBundle("nu.studer.idea.notifier.PluginUpdateNotifierBundle");

    private PluginUpdateNotifierBundle() {
    }

    public static String message(@PropertyKey(resourceBundle = "nu.studer.idea.notifier.PluginUpdateNotifierBundle")String inKey,
                                 Object... inParams) {
        return CommonBundle.message(OUR_BUNDLE, inKey, inParams);
    }
}
